com.corticon.service.ccserver.exception

## Class CcServerInvalidUsernameAndPasswordException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerInvalidUsernameAndPasswordException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcServerInvalidUsernameAndPasswordException
      extends CcServerException
      implements java.io.Serializable

  `CcServerInvalidUsernameAndPassword` is thrown if an attempt is made to validate a passed in username and password against a UsernamePassword.xml file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerInvalidUsernameAndPasswordException()`
    `CcServerInvalidUsernameAndPasswordException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerInvalidUsernameAndPasswordException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerInvalidUsernameAndPasswordException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerInvalidUsernameAndPasswordException(java.lang.String astrMessage)`
    `CcServerInvalidUsernameAndPasswordException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerInvalidUsernameAndPasswordException

          public CcServerInvalidUsernameAndPasswordException()

    - #### CcServerInvalidUsernameAndPasswordException

          public CcServerInvalidUsernameAndPasswordException(java.lang.String astrMessage)

    - #### CcServerInvalidUsernameAndPasswordException

          public CcServerInvalidUsernameAndPasswordException(java.lang.String astrMessage,
                                                             java.lang.Object aobject)

    - #### CcServerInvalidUsernameAndPasswordException

          public CcServerInvalidUsernameAndPasswordException(java.lang.Exception aparentException,
                                                             java.lang.String astrMessage)

    - #### CcServerInvalidUsernameAndPasswordException

          public CcServerInvalidUsernameAndPasswordException(java.lang.Exception aparentException,
                                                             java.lang.Object aobject)

    - #### CcServerInvalidUsernameAndPasswordException

          public CcServerInvalidUsernameAndPasswordException(java.lang.Exception aparentException,
                                                             java.lang.String astrMessage,
                                                             java.lang.Object aobject)

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.